> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# quotedocumenttype

> List of quote document types - assumes ExtraInfo is the name of RecordType enum value

## "quotedocumenttype" MDO List

List of quote document types - assumes ExtraInfo is the name of RecordType enum value

AdditionalInfo = "email=Email"
(DocTmplType enum value)

Implemented by the <see cref="T:SuperOffice.CRM.Lists.QuoteDocumentTypeProvider">QuoteDocumentTypeProvider</see> class.
The name of the MDO list is 'quotedocumenttype'.

## Additional Attributes

| Description                  | Name | Example Value |
| ---------------------------- | ---- | ------------- |
| DocTmplType value to filter. |      | Email         |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/quotedocumenttype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("quotedocumenttype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                             | StyleHint | ExtraInfo |
| -- | -------------------------------- | --------- | --------- |
| 2  | Template for Quote Document      |           |           |
| 3  | Template for Quote Details       |           |           |
| 5  | Template for Order Confirmations |           |           |

## Related MDO Lists

* "quotedocumenttypeheadings"
* "quotedocumenttypeheadingswithallitem"
* "quotedocumenttypeheadingswithallitemwithnoselection"
* "quotedocumenttypeheadingswithnoselection"
* "quotedocumenttypewithallitem"
* "quotedocumenttypewithallitemwithnoselection"
* "quotedocumenttypewithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
